<template>
  <div class="c-card resize bk-white" :id="id" style="margin-left:110px">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2002 1343">
      <g id="Post 1">
        <g id="Design">
          <path id="Shape " :fill="color1" d="M1 564L2000 1L2001 1342L1 1342L1 564Z" />
        </g>
      </g>
    </svg>
    <div class="c-container-image mt-20 mr-10 ml-10">
      <div class="justify">
        <p class="o-text uppercase bold large" v-bind:style="{color:color1}">Business</p>
        <p class="o-text uppercase bold gigant pt-5 pb-10" v-bind:style="{color:color2}">Events</p>
        <img src="@/assets/img/woman1.png" alt class="justify" />
      </div>
      <div class="justify">
        <img src="@/assets/img/woman2.png" alt class="justify" />
        <p class="o-text smaller white">Lorem Ipsum is simply dummy text of the</p>
        <div class="c-container-control-footer mt-10">
          <img src="@/assets/img/Linkedin.png" alt />
          <img src="@/assets/img/Pinterest.png" alt />
          <img src="@/assets/img/Twitter.png" alt />
          <img src="@/assets/img/Facebook.png" alt />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class CardOne extends Mixins(MixinGeneral) {
  @Prop({ type: String, required: true }) id: any;
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;

  mounted() {
    const Gradient = document.querySelector(`#${this.id}`) as HTMLElement;
    this.setProps(Gradient);
    setTimeout(() => {
      Gradient.style.opacity = "1";
      Gradient.style.marginLeft = "0px";
      Gradient.style.marginRight = this.marginRight;
    }, 10);

    const imagens = document.querySelectorAll("div.justify > img.justify");
    imagens.forEach((el: any) => {
      el.style.border = "2px solid " + this.color2;
    });
  }
}
</script>